org.eclipse.graphiti.ui.editor

## Class ElementDeleteListener

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.graphiti.ui.editor.ElementDeleteListener

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal

    public final class ElementDeleteListener
    extends org.eclipse.emf.common.notify.impl.AdapterImpl

Closes editor if model element was deleted. For instance, if only the diagram object is deleted from the resource, this listeners handles closing the editor. Probably this is a very rare case.

Since:
  0.9

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`org.eclipse.emf.common.notify.Adapter.Internal`

### Constructor Summary

Constructors
Constructor and Description
`ElementDeleteListener(DiagramBehavior diagramBehavior)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isAdapterForType(java.lang.Object type)`
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification msg)`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ElementDeleteListener

    public ElementDeleteListener(DiagramBehavior diagramBehavior)

Since:
  0.10

### Method Detail

#### isAdapterForType

    public boolean isAdapterForType(java.lang.Object type)

Specified by:
  `isAdapterForType` in interface `org.eclipse.emf.common.notify.Adapter`
Overrides:
  `isAdapterForType` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`

#### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification msg)

Specified by:
  `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
Overrides:
  `notifyChanged` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`